.berry-input{
  &__field{
    margin: 0 auto 10px;
    font-size:20px;
    &:focus{
      outline:1px dotted #dedede;
      outline-offset: 2px;
    }
    &:not([type="submit"]):not([type="button"]):not([type="radio"]):not([type="checkbox"]):not([type="image"]){
      width:300px;
      padding:5px;
      border:1px solid #dedede;
      border-radius:0;
      transition:all ease 0.5s;
      &.err{
        border:1px solid #ff0000;
      }
      @media screen and (min-width:1200px){
        &:hover{
          border:1px solid $cornflowerblue;
        }
      }
      @media screen and (max-width:1199px){
        &:focus{
          border:1px solid $cornflowerblue;
        }
      }
    }
    &[type="submit"],&[type="button"]{
      display:block;
      padding:5px;
      background:transparent;
      border:1px solid  $cornflowerblue;
      cursor:pointer;
      transition:all ease 0.5s;
      @media screen and (min-width:1200px){
        &:hover{
          background:$cornflowerblue;
          color:#fff;
        }
      }
      @media screen and (max-width:1199px){
        &:focus{
          background:$cornflowerblue;
          color:#fff;
        }
      }
    }
  }
}
